Skip to main content
`Ctrl`+`K`

# MatNestSetSubMat

Set a single submatrix in the `MATNEST`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatNestSetSubMat(Mat A, PetscInt idxm, PetscInt jdxm, Mat sub)

Logically Collective

## Input Parameters

- A - `MATNEST` matrix

- idxm - index of the matrix within the nest matrix

- jdxm - index of the matrix within the nest matrix

- sub - matrix at index `idxm`, `jdxm` within the nest matrix

## Notes

The new submatrix must have the same size and communicator as that block of the nest.

This increments the reference count of the submatrix.

## See Also

Matrices, `Mat`, `MATNEST`, `MatNestSetSubMats()`, `MatNestGetSubMats()`, `MatNestGetLocalISs()`, `MatCreateNest()`, `MatNestGetSubMat()`, `MatNestGetISs()`, `MatNestGetSize()`

## Level

developer

## Location

src/mat/impls/nest/matnest.c

## Implementations

MatNestSetSubMat_Nest() in src/mat/impls/nest/matnest.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages